Package com.plannaplan.responses.models

# Class CommisionResponse

java.lang.Object
com.plannaplan.responses.models.CommisionResponse

Direct Known Subclasses:
  `CommisionWithAcceptedGroupsResponse`, `CommisionWithGroupsResponse`

    public class CommisionResponse
    extends java.lang.Object

Commision api response

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CommisionResponse​(com.plannaplan.entities.Commision commision)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getCommisionDate()` |
`UserResponse` | `getCommiter()` |
`java.lang.Long` | `getId()` |
`UserResponse` | `getOwner()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommisionResponse

public CommisionResponse​(com.plannaplan.entities.Commision commision)

Parameters:
  `commision` - commision to map to api response

## Method Details

### getCommiter

public UserResponse getCommiter()

Returns:
  get Commiter user as api response

### getOwner

public UserResponse getOwner()

Returns:
  get Owner user as api response

### getCommisionDate

public java.lang.String getCommisionDate()

Returns:
  when commision was created string formated

### getId

public java.lang.Long getId()

Returns:
  db id